Bug 889386

Summary: [abrt] openstack-nova-volume-2012.1.3-1.fc17: flagfile.py:60:_open_file_for_reading:IOError: [Errno 13] Permission denied: '/etc/nova/nova.conf'
Product: [Fedora] Fedora Reporter: Jeff Peeler <jpeeler>
Component: openstack-novaAssignee: Mark McLoughlin <markmc>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: akscram, alexander.sakhnov, apevec, asalkeld, bfilippov, breu, Jan.van.Eldik, jonathansteffan, jose.castro.leon, markmc, matt_domsch, mlvov, ndipanov, p, rbryant, rkukura
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:53328424798802f4a03a505a3800d705b17b1725
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 23:34:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
File: executable
File: dso_list
File: environ
File: smolt_data
File: core_backtrace none

Description Jeff Peeler 2012-12-20 21:39:22 EST
Description of problem:
Executed nova-volume as non-root. (This wasn't the command I was actually looking for, but whatever.)

Version-Release number of selected component:

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/nova-volume help
kernel:         3.6.9-2.fc17.x86_64

:flagfile.py:60:_open_file_for_reading:IOError: [Errno 13] Permission denied: '/etc/nova/nova.conf'
:Traceback (most recent call last):
:  File "/usr/bin/nova-volume", line 44, in <module>
:    flags.FLAGS(sys.argv)
:  File "/usr/lib/python2.7/site-packages/nova/flags.py", line 44, in __call__
:    with flagfile.handle_flagfiles_managed(argv[1:]) as args:
:  File "/usr/lib64/python2.7/contextlib.py", line 17, in __enter__
:    return self.gen.next()
:  File "/usr/lib/python2.7/site-packages/nova/compat/flagfile.py", line 186, in handle_flagfiles_managed
:    yield handle_flagfiles(args, tempdir=tempdir)
:  File "/usr/lib/python2.7/site-packages/nova/compat/flagfile.py", line 169, in handle_flagfiles
:    return _iterate_args(args[:], _read_flagfile, tempdir=tempdir)
:  File "/usr/lib/python2.7/site-packages/nova/compat/flagfile.py", line 151, in _iterate_args
:    modified = iterator(args[i], args[i + 1], **kwargs)
:  File "/usr/lib/python2.7/site-packages/nova/compat/flagfile.py", line 98, in _read_flagfile
:    args = _read_lines(flagfile)
:  File "/usr/lib/python2.7/site-packages/nova/compat/flagfile.py", line 70, in _read_lines
:    with _open_file_for_reading(flagfile) as f:
:  File "/usr/lib/python2.7/site-packages/nova/compat/flagfile.py", line 60, in _open_file_for_reading
:    return open(path, 'r')
:IOError: [Errno 13] Permission denied: '/etc/nova/nova.conf'
:Local variables in innermost frame:
:path: '/etc/nova/nova.conf'
Comment 1 Jeff Peeler 2012-12-20 21:39:26 EST
Created attachment 667059 [details]
File: executable
Comment 2 Jeff Peeler 2012-12-20 21:39:29 EST
Created attachment 667060 [details]
File: dso_list
Comment 3 Jeff Peeler 2012-12-20 21:39:31 EST
Created attachment 667061 [details]
File: environ
Comment 4 Jeff Peeler 2012-12-20 21:39:33 EST
Created attachment 667062 [details]
File: smolt_data
Comment 5 Jeff Peeler 2012-12-20 21:39:36 EST
Created attachment 667063 [details]
File: core_backtrace
Comment 6 Pádraig Brady 2012-12-21 04:35:24 EST
Yes openstack commands don't support --help unless the invoking user can read the config file. I suppose we should convert the exception to a helpful error message instead. Even better would be to support --help without needing to read the config file.
Comment 7 Fedora End Of Life 2013-07-03 20:09:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 23:34:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.